hsm_key_ext.h File Reference
`#include "policy_key.h"`

Go to the source code of this file.

## Functions

char const * | hsm_key_to_backup_state (hsm_key_t const *hsm_key)
hsm_key_list_t * | hsm_key_list_new_get_by_policy_key (const policy_key_t *pkey)

## Function Documentation

## hsm_key_list_new_get_by_policy_key()

hsm_key_list_t * hsm_key_list_new_get_by_policy_key | ( | const policy_key_t * | pkey | ) |

extern

Get all HSM keys for policy/algorithm/bits/repository. NULL on failure

Definition at line 43 of file hsm_key_ext.c.

References DB_CLAUSE_EQUAL, db_clause_free(), db_clause_get_value(), db_clause_list_add(), db_clause_list_free(), db_clause_list_new(), db_clause_new(), db_clause_set_field(), db_clause_set_type(), db_object_connection(), db_value_copy(), db_value_from_text(), db_value_from_uint32(), policy_key::dbo, hsm_key_list_new_get_by_clauses(), policy_key_algorithm(), policy_key_bits(), policy_key_policy_id(), and policy_key_repository().

## hsm_key_to_backup_state()

char const * hsm_key_to_backup_state | ( | hsm_key_t const * | hsm_key | ) |

extern

Return the human readable backup state of hsm_key as static string.

Definition at line 34 of file hsm_key_ext.c.

References hsm_key_enum_set_backup.